Loading...
Searching...
No Matches
BALL::ForceFieldEvaluation Class Reference
Molecular Modeling » Molecular Structure » Docking of molecular structures

`#include <BALL/SCORING/FUNCTIONS/forceFieldEvaluation.h>`

Inheritance diagram for BALL::ForceFieldEvaluation:

## Public Member Functions

| ForceFieldEvaluation () throw ()
| Default constructor.
| ForceFieldEvaluation (ForceField &ff) throw ()
virtual | ~ForceFieldEvaluation () throw ()
void | setForceField (ForceField &ff) throw ()
void | setOptions (const Options &options) throw ()
ForceField & | getForceField () throw ()
const ForceField & | getForceField () const throw ()
Options & | getOptions () throw ()
const Options & | getOptions () const throw ()
virtual std::vector< ConformationSet::Conformation > | operator() (ConformationSet &conformations)
Public Member Functions inherited from BALL::EnergeticEvaluation
| EnergeticEvaluation () throw ()
virtual | ~EnergeticEvaluation () throw ()

## Protected Attributes

ForceField * | ff_
Options | options_
bool | delete_force_field_

## Detailed Description

Base class for energetic evaluators of docking results using a force field as scoring function.

Definition at line 21 of file forceFieldEvaluation.h.

## Constructor & Destructor Documentation

## ForceFieldEvaluation() [1/2]

BALL::ForceFieldEvaluation::ForceFieldEvaluation | ( |  | ) |
throw | ( | ) |  |  |

Default constructor.

## ForceFieldEvaluation() [2/2]

BALL::ForceFieldEvaluation::ForceFieldEvaluation | ( | ForceField & | ff | ) |
throw | ( | ) |  |  |

## ~ForceFieldEvaluation()

virtual BALL::ForceFieldEvaluation::~ForceFieldEvaluation | ( |  | ) |
throw | ( | ) |  |  |

virtual

## Member Function Documentation

## getForceField() [1/2]

ForceField & BALL::ForceFieldEvaluation::getForceField | ( |  | ) |
throw | ( | ) |  |  |

## getForceField() [2/2]

const ForceField & BALL::ForceFieldEvaluation::getForceField | ( |  | ) | const
throw | ( | ) |  |  |

## getOptions() [1/2]

Options & BALL::ForceFieldEvaluation::getOptions | ( |  | ) |
throw | ( | ) |  |  |

## getOptions() [2/2]

const Options & BALL::ForceFieldEvaluation::getOptions | ( |  | ) | const
throw | ( | ) |  |  |

## operator()()

virtual std::vector< ConformationSet::Conformation > BALL::ForceFieldEvaluation::operator() | ( | ConformationSet & | conformations | ) |

virtual

Exceptions

  BALL::Exception::TooManyErrors |

Reimplemented from BALL::EnergeticEvaluation.

## setForceField()

void BALL::ForceFieldEvaluation::setForceField | ( | ForceField & | ff | ) |
throw | ( | ) |  |  |

Operations

## setOptions()

void BALL::ForceFieldEvaluation::setOptions | ( | const Options & | options | ) |
throw | ( | ) |  |  |

## Member Data Documentation

## delete_force_field_

bool BALL::ForceFieldEvaluation::delete_force_field_

protected

Definition at line 70 of file forceFieldEvaluation.h.

## ff_

ForceField* BALL::ForceFieldEvaluation::ff_

protected

Definition at line 68 of file forceFieldEvaluation.h.

## options_

Options BALL::ForceFieldEvaluation::options_

protected

Definition at line 69 of file forceFieldEvaluation.h.